package com.dayou.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class MajorStatisticalSelectDTO {

    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 客户联系人id
     */
    private Long clienteleContactId;

    /**
     * 是否金融(true:金融,false:非金融)
     */
    private Boolean financial;

    /**
     * 估价目的
     */
    private String evaluateAim;

    /**
     * 是否口估(true:是,false:否)
     */
    private Boolean informalEvaluate;

    /**
     * 客户经理id(user_id)
     */
    private Long clientManagerId;

    /**
     * 项目负责人id(user_id)
     */
    private Long principalId;

    /**
     * 项目参与人id(user_id)
     */
    private Long memberId;

    /**
     * 接单部门id
     */
    private Long departmentId;

    /**
     * 市场部门id
     */
    private Long marketDepartmentId;

    /**
     * 关键字信息
     */
    private String keyWord;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 业务节点实例code
     */
    private String nodeCode;

    /**
     * 审核轮次
     */
    private String checkLoop;

    /**
     * 错误类型(normal、hard、fatal)
     */
    private String mistakeType;

    /**
     * 效率类型(接单:order、预评:statement、报告:report、应收款:should、实收款:real、未看现场:unSite)
     */
    private String efficiencyType;

    /**
     * 筛选开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    /**
     * 筛选结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

}
